"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngcounter = void 0;
const ngast_1 = require("ngast");
const utils_1 = require("./utils");
const guess_parser_1 = require("guess-parser");
const send_1 = require("./send");
function ngcounter() {
    const projectPath = utils_1.tryGetsProjectPath();
    const workspace = new ngast_1.WorkspaceSymbols(projectPath);
    console.log('\nParse modules...\n');
    const allModules = workspace.getAllModules();
    const allPipes = workspace.getAllPipes();
    const allInjectables = workspace.getAllInjectable();
    const allDirectives = workspace.getAllDirectives();
    const allComponents = workspace.getAllComponents();
    const classes = workspace.getClassRecords();
    utils_1.info(`Modules:`, allModules.length);
    utils_1.info(`Pipes:`, allPipes.length);
    utils_1.info(`Directives:`, allDirectives.length);
    utils_1.info(`Components:`, allComponents.length);
    utils_1.info(`Injectables:`, allInjectables.length);
    utils_1.info(`Classes:`, classes.length);
    console.log("\nParse routes...\n");
    let lazyRoutesLength = 0;
    let allRoutesLength = 0;
    try {
        const allRoutes = guess_parser_1.parseAngularRoutes(projectPath) || [];
        const lazyRoutes = allRoutes.filter(r => r.lazy);
        utils_1.info(`All routes:`, allRoutesLength = allRoutes.length);
        utils_1.info(`Lazy routes:`, lazyRoutesLength = lazyRoutes.length);
    }
    catch (e) {
        console.error(e);
    }
    send_1.trySendData({
        allModules: allModules.length,
        allPipes: allPipes.length,
        allDirectives: allDirectives.length,
        allComponents: allComponents.length,
        allInjectables: allInjectables.length,
        classes: classes.length,
        allRoutes: allRoutesLength,
        lazyRoutes: lazyRoutesLength
    });
}
exports.ngcounter = ngcounter;
//# sourceMappingURL=counter.js.map